Package org.apache.sysds.utils.stats

# Class ParamServStatistics

java.lang.Object
org.apache.sysds.utils.stats.ParamServStatistics

public class ParamServStatistics extends Object

## Constructor Summary

Constructors
Constructor
Description
`ParamServStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`accAggregationTime(long t)`
`static void`
`accBatchIndexingTime(long t)`
`static void`
`accExecutionTime(long n)`
`static void`
`accFedAggregation(long t)`
`static void`
`accFedCommunicationTime(long t)`
`static void`
`accFedDataPartitioningTime(long t)`
`static void`
`accFedGradientWeightingTime(long t)`
`static void`
`accFedNetworkTime(long t)`
`static void`
`accFedWorkerComputing(long t)`
`static void`
`accGradientComputeTime(long t)`
`static void`
`accHEAccumulation(long t)`
`static void`
`accHEDecryptionTime(long t)`
`static void`
`accHEEncryptionTime(long t)`
`static void`
`accHEPartialDecryptionTime(long t)`
`static void`
`accLocalModelUpdateTime(long t)`
`static void`
`accModelBroadcastTime(long t)`
`static void`
`accRpcRequestTime(long t)`
`static void`
`accSetupTime(long t)`
`static void`
`accValidationTime(long t)`
`static String`
`displayFloStatistics()`
`static String`
`displayStatistics()`
`static double`
`getExecutionTime()`
`static Timing`
`getExecutionTimer()`
`static long`
`getFedDataPartitioningTime()`
`static double`
`getValidationTime()`
`static void`
`incWorkerNumber()`
`static void`
`incWorkerNumber(long n)`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParamServStatistics

public ParamServStatistics()

## Method Details

### incWorkerNumber

public static void incWorkerNumber()

### incWorkerNumber

public static void incWorkerNumber(long n)

### getExecutionTimer

public static Timing getExecutionTimer()

### getExecutionTime

public static double getExecutionTime()

### accExecutionTime

public static void accExecutionTime(long n)

### accSetupTime

public static void accSetupTime(long t)

### accGradientComputeTime

public static void accGradientComputeTime(long t)

### accAggregationTime

public static void accAggregationTime(long t)

### accLocalModelUpdateTime

public static void accLocalModelUpdateTime(long t)

### accModelBroadcastTime

public static void accModelBroadcastTime(long t)

### accBatchIndexingTime

public static void accBatchIndexingTime(long t)

### accRpcRequestTime

public static void accRpcRequestTime(long t)

### getValidationTime

public static double getValidationTime()

### accValidationTime

public static void accValidationTime(long t)

### getFedDataPartitioningTime

public static long getFedDataPartitioningTime()

### accFedDataPartitioningTime

public static void accFedDataPartitioningTime(long t)

### accFedWorkerComputing

public static void accFedWorkerComputing(long t)

### accFedNetworkTime

public static void accFedNetworkTime(long t)

### accFedAggregation

public static void accFedAggregation(long t)

### accFedGradientWeightingTime

public static void accFedGradientWeightingTime(long t)

### accFedCommunicationTime

public static void accFedCommunicationTime(long t)

### accHEEncryptionTime

public static void accHEEncryptionTime(long t)

### accHEAccumulation

public static void accHEAccumulation(long t)

### accHEPartialDecryptionTime

public static void accHEPartialDecryptionTime(long t)

### accHEDecryptionTime

public static void accHEDecryptionTime(long t)

### reset

public static void reset()

### displayStatistics

public static String displayStatistics()

### displayFloStatistics

public static String displayFloStatistics()